Approve Transaction
Submit approval signature for a pending transaction. Required for transactions using external signers.
API scope required: wallets:transactions.sign
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>
Body
Input for submitting one or more approvals
Array of approvals to submit for this transaction
1An EVM signature submission for a transaction
- EVM keypair signature submission payload
- EVM passkey signature submission payload
Response
The approval has successfully been submitted to the transaction.
- EVM transaction response
- Solana transaction response
- EVM MPC transaction response
- Solana smart wallet transaction response
Complete transaction response including status, signing requirements, and wallet type specific data
The type of wallet that created this transaction
evm-smart-wallet EVM smart wallet transaction parameters
EVM smart wallet transaction data including input parameters and chain specific details
Unique identifier for the transaction
Current status of the transaction
awaiting-approval, pending, failed, success ISO timestamp when the transaction was created
"2024-01-01T00:00:00.000Z"
Complete approval data including requirements, pending and submitted signatures
ISO timestamp when the transaction reached finality
"2024-01-01T00:00:00.000Z"
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3

